# WOK
TKWOK
WOKernel

# WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWorkbench Class Reference

`#include <WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWorkbench.hxx>`

Inheritance diagram for WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWorkbench:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWorkbench ()
Standard_EXPORT | WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWorkbench (const WOKernel_DataMapOfHAsciiStringOfWorkbench &aMap)
Standard_EXPORT void | Initialize (const WOKernel_DataMapOfHAsciiStringOfWorkbench &aMap)
Standard_EXPORT const Handle_TCollection_HAsciiString & | Key () const
Standard_EXPORT const Handle_WOKernel_Workbench & | Value () const
Standard_EXPORT Standard_Integer | Hashcode () const

## Constructor & Destructor Documentation

Standard_EXPORT WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWorkbench::WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWorkbench | ( |  | ) |

Standard_EXPORT WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWorkbench::WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWorkbench | ( | const WOKernel_DataMapOfHAsciiStringOfWorkbench & | aMap | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWorkbench::Hashcode | ( |  | ) | const

Standard_EXPORT void WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWorkbench::Initialize | ( | const WOKernel_DataMapOfHAsciiStringOfWorkbench & | aMap | ) |

Standard_EXPORT const Handle_TCollection_HAsciiString& WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWorkbench::Key | ( |  | ) | const

void WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWorkbench::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

void* WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWorkbench::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

void* WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWorkbench::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

Standard_EXPORT const Handle_WOKernel_Workbench& WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWorkbench::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWorkbench.hxx